**Zobrazení** - předpis $f : X \to Y$, kdy prvkům z X přiřazujeme prvky z Y (např. reálná funkce)

**Komplexní čísla** - číslo $z = a+bi$, kde $a, b \in \mathbb{R};$ a $\text{Re}(z) = a, \text{Im}(z) = b;$ hodnota $i = \sqrt{-1}$

### Polynomy

**Polynom** - polynomem proměnné $x$ je předpis (funkce) $p(x) = a_{n}x^n + \dots + a_{1}x + a_{0}$

**Koeficienty polynomu $p(x)$** - hodnoty $a_{i}$ v předpisu polynomu

**Stupeň polynomu $p(x)$** - největší $k$, pro něž je $a_{k}$ nenulové, značíme $\text{st}(p(x))$

**Nulový polynom** - polynom $p(x)$, který má všechny koeficient nulové, poté platí $\text{st}(p(x)) = -\infty$

Operace s polynomy ??

**Kořen polynomu** - číslo $c \in \mathbb C$, pro které platí $p(c) = 0$

Speciální typy polynomů ??

### Matice

**Matice typu $m/n$** - soubor (tabulka) 
$m \times n$ prvků (čísel) $a_{ij}$ zapsanných do $m$ řádků a $n$ sloupců, obvykle $a_{ij} \in \mathbb C$

Správně bychom měli definovat: Matice **A** typu $m/n$ je zobrazení $\{1, 2, \dots, m\} \times \{1, 2, \dots, n\} \to \mathbb C$ (nebo speciálně $\mathbb R$).

Názvosloví:
- $(i, j)$ - pozice v matici
- $a_{ij}$ - prvek na pozici $(i, j)$
- $i$ - řádkový index
- $j$ - sloupcový index
- $a_{kk}$ - diagonální prvek matice
- $m/n$ - typ matice: $m$ řádků, $n$ sloupců

Tvary
- **Čtvercová matice** - matice typu $m/n$, kde $m=n$
- **Obdélníková matice** - matice typu $m/n$, kde $m \neq n$
- **$m$-složkový sloupcový vektor** - matice typu $m/1$
- **$n$-složkový řádkový vektor** - matice typu $1/n$

**Nulová matice** - matice typu $m/n$, jestliže $a_{ij} = 0$, značíme ji 0

**Diagonální matice** - čtvercová matice, pro kterou platí $a_{ij} = 0$ jestliže $i \neq j$, zapisujeme $A = \text{diag}(a_{11}, a_{22}, a_{nn})$

**Jednotková matice** - diagonální matice, pro kterou platí $a_{ii} = 1$, značí se $I$

**Symetrická matice** - čtvercová matice, pro kterou platí $a_{ij} = a_{ji}$

**Antisymetrická matice** - čtvercová matice, pro kterou platí $a_{ij} = -a_{ji}$
